cURL
curl --request GET \
--url 'https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50' \
--header 'Authorization: ApiKey <key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50"
headers = {"Authorization": "ApiKey <key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'ApiKey <key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "ApiKey <key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50")
.header("Authorization", "ApiKey <key>")
.asString();[
{
"organization": {
"slug": "example-mm",
"name": "Example Market Maker"
},
"asset": "ONDO",
"exchange": {
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
"pair": "ONDO/USDT",
"volume": 61980,
"bid_100bps": 0,
"ask_100bps": 0,
"reported_volume": 24280000,
"reported_bid_100bps": 61600,
"reported_ask_100bps": 61530
}
]Market maker metrics
Compare trusted and reported values
Returns one row per organization, exchange and pair that has trusted data, with trusted volume and depth and, where present, the reported values in reported_* fields. Market makers see their own organization’s values; project owners see every market maker’s values for the assets they own.
GET
/
v2
/
organizations
/
market-maker-metrics
/
key-coverage
/
cURL
curl --request GET \
--url 'https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50' \
--header 'Authorization: ApiKey <key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50"
headers = {"Authorization": "ApiKey <key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'ApiKey <key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "ApiKey <key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.glassmarkets.io/v2/organizations/market-maker-metrics/key-coverage/?interval=1h&lookback=1-day&bps=10,50")
.header("Authorization", "ApiKey <key>")
.asString();[
{
"organization": {
"slug": "example-mm",
"name": "Example Market Maker"
},
"asset": "ONDO",
"exchange": {
"slug": "binance",
"name": "Binance",
"icon_url": "https://s2.coinmarketcap.com/static/img/exchanges/64x64/630.png"
},
"pair": "ONDO/USDT",
"volume": 61980,
"bid_100bps": 0,
"ask_100bps": 0,
"reported_volume": 24280000,
"reported_bid_100bps": 61600,
"reported_ask_100bps": 61530
}
]Authorizations
metricsApiKeyAuthtokenAuth
Query Parameters
1M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return all the data for the specified time range using the biggest periods possible.a- Will return the aggregate of the data for the specified time range.
Available options:
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c, a Minimum string length:
1Example:
"1h"
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
Available options:
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year Minimum string length:
1Example:
"1-day"

